kramdown:
  input: GFM
  toc_levels: 2..3

baseurl: "/http"
layouts_dir: ".shared/layout"
includes_dir: ".shared/includes"

exclude: ["Gemfile", "Gemfile.lock", "README.md", "vendor"]
safe: true

repository: amphp/http
plugins:
 - "jekyll-github-metadata"
 - "jekyll-relative-links"

defaults:
 - scope:
     path: ""
     type: "pages"
   values:
     layout: "docs"
     description: "amphp/http is a collection of basic HTTP primitives which can be shared by servers and clients."
     keywords: ['http', 'parsing', 'amphp', 'php', 'headers']

shared_asset_path: "/http/asset"

navigation:
 - cookies
 - headers
